Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Bank Accounts

  • List bank accounts

  • Create bank account

  • Get bank account by v1Id

  • Get bank account

  • Disable bank account

  • Webhooks

  • bank_account.created

  • bank_account.disabled

  • bank_account.verified

<- Bank Accounts API

Bank Accounts API

All versions ->

List bank accounts

GET

 /v2/bank-accounts

Returns a list of BankAccount objects linked to a Square account.

Guide

Retrieve all bank accounts linked to a Square account

Try in API Explorer
Link to section

Query parameters

Example code

Link to section

cursor

string

The pagination cursor returned by a previous call to this endpoint. Use it in the next ListBankAccounts request to retrieve the next set of results.

See the Pagination guide for more information.

Link to section

limit

integer(32-bit)

Upper limit on the number of bank accounts to return in the response. Currently, 1000 is the largest supported limit. You can specify a limit of up to 1000 bank accounts. This is also the default limit.

Link to section

location_id

string

Location ID. You can specify this optional filter to retrieve only the linked bank accounts belonging to a specific location.

Link to section

customer_id

string

Beta

Customer ID. You can specify this optional filter to retrieve only the linked bank accounts belonging to a specific customer.

Link to section

Response fields

Link to section

bank_accounts

List of BankAccounts associated with this account.

Link to section

errors

Information on errors encountered during the request.

Link to section

cursor

string

When a response is truncated, it includes a cursor that you can use in a subsequent request to fetch next set of bank accounts. If empty, this is the final response.

For more information, see Pagination.

Link to section

Examples

All versions ->

GET /v2/bank-accounts
curl https://connect.squareup.com/v2/bank-accounts \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "bank_accounts": [ { "id": "bact:OxfBTiXgByaXds1K4GB", "account_number_suffix": "000", "country": "US", "currency": "USD", "account_type": "CHECKING", "holder_name": "Nicola Snow", "primary_bank_identification_number": "011401533", "status": "VERIFIED", "creditable": true, "debitable": true, "fingerprint": "sq-1-mO3XNctJpTLL8uYowOWpioS8nQyTc838gcBo90254XonoEJ_c7Uw6yqL6qihFNY8fA", "version": 2, "bank_name": "Citizens Bank", "customer_id": "HM3B2D5JKGZ69359BTEHXM2V8M" }, { "id": "bact:Msdfa2kgUDR9lMgk4GB", "account_number_suffix": "118", "country": "US", "currency": "USD", "account_type": "CHECKING", "holder_name": "Nicola Snow", "primary_bank_identification_number": "100210004", "status": "DISABLED", "creditable": true, "debitable": true, "fingerprint": "sq-1-Poacr0bohmds1N--OseZUsG5kPwfCGxqYKlb-Q1Rxwsk0lxd1JLs4yaPDuMqIae7Qg", "version": 3, "bank_name": "Bank of America", "customer_id": "HM3B2D5JKGZ69359BTEHXM2V8M" } ] }